import 'package:flutter/material.dart';

extension MyColor on Color {
  String get toHex => '#${value.toRadixString(16)}';

  Color get hue15 {
    final hsvColor = HSVColor.fromColor(this);
    final hue = hsvColor.hue;
    final newHue = hue > 250 ? hue - 15 : hue + 15;
    return hsvColor.withHue(newHue).toColor();
  }

  Color get hue30 {
    final hsvColor = HSVColor.fromColor(this);
    final hue = hsvColor.hue;
    final newHue = hue > 250 ? hue - 30 : hue + 30;
    return hsvColor.withHue(newHue).toColor();
  }

  Color hue(int angle) {
    final hsvColor = HSVColor.fromColor(this);
    final hue = hsvColor.hue;
    final newHue = (hue + angle) % 360;
    return hsvColor.withHue(newHue).toColor();
  }

  Gradient get hueGradient => LinearGradient(colors: [this, hue15], begin: Alignment.topLeft, end: Alignment.bottomRight);

  Color withLightness(double lightness) {
    return HSLColor.fromColor(this).withLightness(lightness).toColor();
  }
}
