enum FileType {
  // ignore: constant_identifier_names
  IMAGE,
  // ignore: constant_identifier_names
  VIDEO,
  // ignore: constant_identifier_names
  ANY,
}

extension FileStringExtension on String? {
  FileType get getFileType {
    if (this == null) return FileType.ANY;
    final fileExtension = this!.split('.').last.toLowerCase();
    if (['mp4', 'mov', 'avi', 'wmv', '3gp', 'mkv', 'flv'].any((element) => element == fileExtension)) return FileType.VIDEO;
    if (['jpg', 'jpeg', 'png', 'bmp', 'hvec', 'tif', 'tiff', 'gif'].any((element) => element == fileExtension)) return FileType.IMAGE;
    return FileType.ANY;
  }
}
