import '../mcg_extension.dart';

extension MyMapExtension on Map {
  //[key,title]
  Future<T?> makeSheet<T>({String title = '', String? message}) async {
    var value = await Sheet.make(
        title: title,
        message: message,
        actions: entries
            .map((e) => SheetAction(
                  onPressed: () {
                    Get.back(result: e.key);
                  },
                  title: e.value.toString(),
                ))
            .toList(),
        cancelAction: SheetAction(
          onPressed: () {
            Get.back(result: null);
          },
          title: 'back'.translate,
          isDestructiveAction: true,
        ));
    return value as T?;
  }
}
