import 'package:flutter/material.dart';

class Inset extends EdgeInsets {
  Inset(double padding) : super.all(padding);
  Inset.t(double padding) : super.only(top: padding);
  Inset.l(double padding) : super.only(left: padding);
  Inset.r(double padding) : super.only(right: padding);
  Inset.b(double padding) : super.only(bottom: padding);
  Inset.h(double padding) : super.symmetric(horizontal: padding);
  Inset.v(double padding) : super.symmetric(vertical: padding);
  Inset.hv(double horizontal, double vertical) : super.symmetric(vertical: vertical, horizontal: horizontal);
  Inset.ltrb(double left, double top, double right, double bottom) : super.only(left: left, top: top, bottom: bottom, right: right);
}

extension MyPaddingWidget on Widget {
  Widget get px1 => Padding(
        child: this,
        padding: const EdgeInsets.symmetric(horizontal: 1),
      );
  Widget get px2 => Padding(
        child: this,
        padding: const EdgeInsets.symmetric(horizontal: 2),
      );
  Widget get px4 => Padding(
        child: this,
        padding: const EdgeInsets.symmetric(horizontal: 4),
      );
  Widget get px8 => Padding(
        child: this,
        padding: const EdgeInsets.symmetric(horizontal: 8),
      );
  Widget get px12 => Padding(
        child: this,
        padding: const EdgeInsets.symmetric(horizontal: 12),
      );
  Widget get px16 => Padding(
        child: this,
        padding: const EdgeInsets.symmetric(horizontal: 16),
      );
  Widget get px32 => Padding(
        child: this,
        padding: const EdgeInsets.symmetric(horizontal: 32),
      );
  Widget get pr1 => Padding(
        child: this,
        padding: const EdgeInsets.only(right: 1),
      );
  Widget get pr2 => Padding(
        child: this,
        padding: const EdgeInsets.only(right: 2),
      );
  Widget get pr4 => Padding(
        child: this,
        padding: const EdgeInsets.only(right: 4),
      );
  Widget get pr8 => Padding(
        child: this,
        padding: const EdgeInsets.only(right: 8),
      );
  Widget get pr12 => Padding(
        child: this,
        padding: const EdgeInsets.only(right: 12),
      );
  Widget get pr16 => Padding(
        child: this,
        padding: const EdgeInsets.only(right: 16),
      );
  Widget get pr32 => Padding(
        child: this,
        padding: const EdgeInsets.only(right: 32),
      );
  Widget get pl1 => Padding(
        child: this,
        padding: const EdgeInsets.only(left: 1),
      );
  Widget get pl2 => Padding(
        child: this,
        padding: const EdgeInsets.only(left: 2),
      );
  Widget get pl4 => Padding(
        child: this,
        padding: const EdgeInsets.only(left: 4),
      );
  Widget get pl8 => Padding(
        child: this,
        padding: const EdgeInsets.only(left: 8),
      );
  Widget get pl12 => Padding(
        child: this,
        padding: const EdgeInsets.only(left: 12),
      );
  Widget get pl16 => Padding(
        child: this,
        padding: const EdgeInsets.only(left: 16),
      );
  Widget get pl32 => Padding(
        child: this,
        padding: const EdgeInsets.only(left: 32),
      );
  Widget get pt1 => Padding(
        child: this,
        padding: const EdgeInsets.only(top: 1),
      );
  Widget get pt2 => Padding(
        child: this,
        padding: const EdgeInsets.only(top: 2),
      );
  Widget get pt4 => Padding(
        child: this,
        padding: const EdgeInsets.only(top: 4),
      );
  Widget get pt8 => Padding(
        child: this,
        padding: const EdgeInsets.only(top: 8),
      );
  Widget get pt12 => Padding(
        child: this,
        padding: const EdgeInsets.only(top: 12),
      );
  Widget get pt16 => Padding(
        child: this,
        padding: const EdgeInsets.only(top: 16),
      );
  Widget get pt32 => Padding(
        child: this,
        padding: const EdgeInsets.only(top: 32),
      );
  Widget get pb1 => Padding(
        child: this,
        padding: const EdgeInsets.only(bottom: 1),
      );
  Widget get pb2 => Padding(
        child: this,
        padding: const EdgeInsets.only(bottom: 2),
      );
  Widget get pb4 => Padding(
        child: this,
        padding: const EdgeInsets.only(bottom: 4),
      );
  Widget get pb8 => Padding(
        child: this,
        padding: const EdgeInsets.only(bottom: 8),
      );
  Widget get pb12 => Padding(
        child: this,
        padding: const EdgeInsets.only(bottom: 12),
      );
  Widget get pb16 => Padding(
        child: this,
        padding: const EdgeInsets.only(bottom: 16),
      );
  Widget get pb32 => Padding(
        child: this,
        padding: const EdgeInsets.only(bottom: 32),
      );
  Widget get py1 => Padding(
        child: this,
        padding: const EdgeInsets.symmetric(vertical: 1),
      );
  Widget get py2 => Padding(
        child: this,
        padding: const EdgeInsets.symmetric(vertical: 2),
      );
  Widget get py4 => Padding(
        child: this,
        padding: const EdgeInsets.symmetric(vertical: 4),
      );
  Widget get py8 => Padding(
        child: this,
        padding: const EdgeInsets.symmetric(vertical: 8),
      );
  Widget get py12 => Padding(
        child: this,
        padding: const EdgeInsets.symmetric(vertical: 12),
      );
  Widget get py16 => Padding(
        child: this,
        padding: const EdgeInsets.symmetric(vertical: 16),
      );
  Widget get py32 => Padding(
        child: this,
        padding: const EdgeInsets.symmetric(vertical: 32),
      );
  Widget get p1 => Padding(
        child: this,
        padding: const EdgeInsets.all(1),
      );
  Widget get p2 => Padding(
        child: this,
        padding: const EdgeInsets.all(2),
      );
  Widget get p4 => Padding(
        child: this,
        padding: const EdgeInsets.all(4),
      );
  Widget get p8 => Padding(
        child: this,
        padding: const EdgeInsets.all(8),
      );
  Widget get p12 => Padding(
        child: this,
        padding: const EdgeInsets.all(12),
      );
  Widget get p16 => Padding(
        child: this,
        padding: const EdgeInsets.all(16),
      );
  Widget get p32 => Padding(
        child: this,
        padding: const EdgeInsets.all(32),
      );
}
