import 'package:flutter/material.dart';

extension MyWidget on Widget {
  Widget stadium({Color? background, EdgeInsets? padding}) => Container(
        padding: padding ?? const EdgeInsets.symmetric(vertical: 2, horizontal: 6),
        decoration: ShapeDecoration(shape: const StadiumBorder(), color: background ?? Colors.deepPurpleAccent, shadows: const []),
        child: this,
      );
  Widget circleBackground({Color? background, EdgeInsets? padding}) => Container(
        padding: padding ?? const EdgeInsets.symmetric(vertical: 2, horizontal: 2),
        decoration: BoxDecoration(shape: BoxShape.circle, color: background ?? Colors.deepPurpleAccent),
        child: this,
      );

  Widget rounded({Color? background, EdgeInsets? padding, double borderRadius = 8}) => Container(
        padding: padding ?? const EdgeInsets.symmetric(vertical: 2, horizontal: 6),
        decoration: BoxDecoration(color: background ?? Colors.deepPurpleAccent, borderRadius: BorderRadius.circular(borderRadius)),
        child: this,
      );

  Widget withKeyboardCloseGesture(BuildContext context) => GestureDetector(child: this, onTap: () => FocusScope.of(context).requestFocus(FocusNode()));

  Widget width(double width) => SizedBox(
        width: width,
        child: this,
      );

  Widget height(double height) => SizedBox(
        height: height,
        child: this,
      );

  Widget get center => Center(child: this);
  Widget get inScaffold => Scaffold(body: this);
  Widget get redContainer => Container(color: Colors.red, child: this);
  Widget get amberContainer => Container(color: Colors.amber, child: this);
}
