import 'package:flutter/material.dart';
import 'package:get/get.dart';
import 'package:mcg_extension/get/translate.dart';

import 'fav.dart';

class QuickMenu {
  QuickMenu._();
  static Future? show(
    Widget child, {
    Function()? onSave,
    bool cancelButtonVisible = false,
    String? title,
    String? saveText,
    String? cancelText,
  }) {
    return Get.defaultDialog(
        barrierDismissible: false,
        titleStyle: TextStyle(color: Fav.design.primaryText, fontWeight: FontWeight.bold),
        buttonColor: Fav.design.primary,
        title: title ?? '',
        //onCancel: cancelButtonVisible ? Get.back : null,
        textCancel: cancelButtonVisible ? (cancelText ?? 'cancel'.translate) : null,
        textConfirm: onSave == null ? null : (saveText ?? 'save'.translate),
        cancelTextColor: Fav.design.primary,
        confirmTextColor: Colors.white,
        onConfirm: () async {
          Fav.showLoading();
          await onSave!();
          Fav.removeLoading();
          Get.back();
        },
        content: ConstrainedBox(
          constraints: BoxConstraints(maxHeight: Get.context!.height * 0.6),
          child: Scrollbar(
            child: SingleChildScrollView(
              child: child,
              scrollDirection: Axis.vertical,
            ),
          ),
        ));
  }
}
