import 'package:hive/hive.dart';
import 'package:mcg_extension/mcg_extension.dart';

abstract class FetcherBox {
  late Box box;
  String get boxKey;
  bool isBoxInited = false;

  Future<void> initBox(String boxKey) async {
    box = await Get.openSafeBox(boxKey);
    isBoxInited = true;
  }

  Future<void> dispose() async {
    await box.compact();
    await box.close();
  }

  Future clearDatabase() async {
    await Future.wait([
      Fav.preferences.setInt(boxKey + 'lastVersionNo', -1),
      box.clear(),
    ]);
  }
}
