import 'package:permission_handler/permission_handler.dart';

import '../mcg_extension.dart';

class PermissionManager {
  PermissionManager._();

  static Future<bool> storage() async => _checkAndRequestPermission(Permission.storage);
  static Future<bool> microphone() async => _checkAndRequestPermission(Permission.microphone);
  static Future<bool> camera() async => _checkAndRequestPermission(Permission.camera);
  static Future<bool> microphoneAndCamera() async {
    var _cam = await camera();
    if (_cam == false) return false;
    return microphone();
  }

  static Future<bool> _checkAndRequestPermission(Permission permission) async {
    var isPermissionAllow = false;

    final status = await permission.status;

    if (status.isGranted) return true;
    final newStatus = await permission.request();
    if (newStatus.isGranted) return true;
    Alert.advance(title: '', message: 'permissionnotgranted'.translate, rowActions: [
      AlertAction(
        text: 'openpermissionpage'.translate,
        onPressed: openAppSettings,
      )
    ]).unawaited;
    return isPermissionAllow;
  }
}
