import 'package:flutter/material.dart';

class WidgetSize extends StatefulWidget {
  final Widget child;
  final Function(Size?) onSizeChange;

  WidgetSize({required this.onSizeChange, required this.child});

  @override
  _WidgetSizeState createState() => _WidgetSizeState();
}

class _WidgetSizeState extends State<WidgetSize> {
  final _widgetKey = GlobalKey();

  @override
  Widget build(BuildContext context) {
    _startSizeCalculateInit();
    return Container(
      key: _widgetKey,
      child: widget.child,
    );
  }

  int? _initidHash;
  void _startSizeCalculateInit() {
    if (_initidHash != widget.child.hashCode) {
      _initidHash = widget.child.hashCode;
      Future.microtask(postFrameCallback);
    }
  }

  Size? oldSize;
  void postFrameCallback() {
    var _context = _widgetKey.currentContext;
    if (_context == null) return;

    var newSize = _context.size;
    if (oldSize == newSize) return;
    oldSize = newSize;
    widget.onSizeChange(newSize);
  }
}
